#!/bin/bash

package=echoprint-codegen
version=-release-4.12

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT ../.. $*

prefix=$GEXTECHOPRINT_INSTALLED


opt_run_untar $force_untar $auto_untar $package $version

#opt_run_configure $force_config $auto_config $package $version $prefix

store_version=$version
version=$version/src

if [ $compile = "1" ] ; then

# The following code was commited in SVN, but there doesn't appear to be
# a Makefile.static file in the untarred file.  The provided Makefile
# compiled OK with Cygwin, so commenting out for now.  If problems
# are encountered further down the line, then this code might become
# useful again 

#  if [ ! -f "$package$version/Makefile.dynamic" ] ; then
#    echo "Replacing default Makefile with one that explicitly compiles dynamically"
#    /bin/mv "$package$version/Makefile" "$package$version/Makefile.dynamic"
#    /bin/cp Makefile.static "$package$version/Makefile"
#  fi

fi

opt_run_make $compile $package $version

#opt_run_make $install $package $version "install"
if [ $install = "1" ] ; then
    echo "***"
    echo "* Installing echprint-codegen to $GEXTECHOPRINT_INSTALLED/bin"
    echo "***"
    cd $package$store_version;
    /bin/cp echoprint-codegen $GEXTECHOPRINT_INSTALLED/bin
    chmod a+x $GEXTECHOPRINT_INSTALLED/bin/echoprint-codegen
    cd ..;
fi

opt_run_make $clean $package $version "clean"


#opt_run_make $distclean $package $version "distclean"

version=$store_version
opt_run_tarclean $tarclean $package $version

